gRPC C#
gRPC C#
Namespaces
Grpc.Core
Channel Class
Channel Properties
ResolvedTarget Property
State Property
Target Property

Channel State Property

Gets current connectivity state of this channel.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public ChannelState State { get; }

    Public ReadOnly Property State As ChannelState
    	Get

    public:
    property ChannelState State {
    	ChannelState get ();
    }

    member State : ChannelState with get

#### Property Value

Type: ChannelState
See Also

#### Reference

Channel Class
Grpc.Core Namespace